For the conflict of the config file, how about use "update-alternatives"
to avoid it?

Thanks
Xiao

在 2018年03月01日 10:13, Khem Raj 写道:
> On 2/28/18 1:30 AM, ZhangXiao wrote:
>> Hi All,
>>
>> With below settings on my local.conf, I get several errors when
>> extracting SDK:
>>
>> Modify local.conf as the example of section 4.10.2.2 of
>> http://www.yoctoproject.org/docs/2.4.1/mega-manual/mega-manual.html#combining-multiple-versions-library-files-into-one-image
>>
>> ...
>> MACHINE = "qemux86-64"
>> require conf/multilib.conf
>> MULTILIBS = "multilib:lib32"
>> DEFAULTTUNE_virtclass-multilib-lib32 = "x86"
>> IMAGE_INSTALL_append = " lib32-glib-2.0"
>> ..
>>
>> # bitbake core-image-minimal -c populate_sdk
>>
>> ...
>> Transaction Summary
>> ================================================================================
>> Install  416 Packages
>>
>> Total size: 57 M
>> Installed size: 276 M
>> Downloading Packages:
>> Running transaction check
>> Transaction check succeeded.
>> Running transaction test
>> Error: Transaction check error:
>>   file /usr/include/gmp.h conflicts between attempted installs of
>> libgmp-dev-6.1.2-r0.core2_64 and lib32-libgmp-dev-6.1.2-r0.x86
> 
> this means we need to install gmp.h as multilib header during do_install
> in recipe
> 
> e.g.
> 
> oe_multilib_header gmp.h
> 
>>   file /usr/bin/python3.5m-config conflicts between attempted installs
>> of python3-dev-3.5.4-r1.0.core2_64 and lib32-python3-dev-3.5.4-r1.0.x86
>>   file /usr/share/pkgconfig/xtrans.pc conflicts between attempted
>> installs of lib32-xtrans-dev-1:1.3.5-r0.x86 and
>> xtrans-dev-1:1.3.5-r0.core2_64
>>
>> Error Summary
>> -------------
>>
>> Any advices?
>>
>> Thanks a lot!
>> Xiao
>>
> 
> 
-- 
_______________________________________________
Openembedded-devel mailing list
Openembedded-devel@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-devel

Reply via email to